﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Networking.Client;
using Networking.Server;

public class ConveyorBelt : ActiveBlock
{
    [Header("Conveyor Settings")]
    [SerializeField]
    public LogicBlock Action;


    public override int GetInitative()
    {
        return 5;
    }

    public override IEnumerator OnEnvironmentTurn(PlayerData[] allPlayers)
    {
        if (CurrentPlayer != null)
        {
            yield return StartCoroutine(Action.Run(CurrentPlayer, 1,true));
        }
        isFinished = true;
    }
}
